| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
SWIM_WINDOW_T Struct Reference
Simple Windowing Interface Manager (SWIM)

## Detailed Description

Structure used to store information about a specific window.

Definition at line 56 of file lpc_swim.h.

`#include "lpc_swim.h"`

## Data Fields
int32_t | xpsize
int32_t | ypsize
int32_t | xpmin
int32_t | ypmin
int32_t | xpmax
int32_t | ypmax
int32_t | bdsize
int32_t | xvsize
int32_t | yvsize
int32_t | xpvmin
int32_t | ypvmin
int32_t | xpvmax
int32_t | ypvmax
int32_t | xvpos
int32_t | yvpos
COLOR_T | pen
COLOR_T | bkg
COLOR_T | fill
FONT_T * | font
int32_t | tfont
COLOR_T * | fb
int32_t | winused
BOOL_32 | tfonts

## Field Documentation

int32_t bdsize

Definition at line 63 of file lpc_swim.h.

COLOR_T bkg

Definition at line 73 of file lpc_swim.h.

COLOR_T* fb

Definition at line 77 of file lpc_swim.h.

COLOR_T fill

Definition at line 74 of file lpc_swim.h.

FONT_T* font

Definition at line 75 of file lpc_swim.h.

COLOR_T pen

Definition at line 72 of file lpc_swim.h.

int32_t tfont

Definition at line 76 of file lpc_swim.h.

BOOL_32 tfonts

Definition at line 79 of file lpc_swim.h.

int32_t winused

Definition at line 78 of file lpc_swim.h.

int32_t xpmax

Definition at line 61 of file lpc_swim.h.

int32_t xpmin

Definition at line 59 of file lpc_swim.h.

int32_t xpsize

Definition at line 57 of file lpc_swim.h.

int32_t xpvmax

Definition at line 68 of file lpc_swim.h.

int32_t xpvmin

Definition at line 66 of file lpc_swim.h.

int32_t xvpos

Definition at line 70 of file lpc_swim.h.

int32_t xvsize

Definition at line 64 of file lpc_swim.h.

int32_t ypmax

Definition at line 62 of file lpc_swim.h.

int32_t ypmin

Definition at line 60 of file lpc_swim.h.

int32_t ypsize

Definition at line 58 of file lpc_swim.h.

int32_t ypvmax

Definition at line 69 of file lpc_swim.h.

int32_t ypvmin

Definition at line 67 of file lpc_swim.h.

int32_t yvpos

Definition at line 71 of file lpc_swim.h.

int32_t yvsize

Definition at line 65 of file lpc_swim.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/swim/lpc_swim.h